Bug 196655 - netstat: when using --interface=ethX 1, the counter remains unchanged.
netstat: when using --interface=ethX 1, the counter remains unchanged.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: net-tools (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
Ben Levenson
:
Depends On:
Blocks: 176344
  Show dependency treegraph
 
Reported: 2006-06-26 05:21 EDT by Jose Plans
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0241
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 19:52:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch removing static from if_readlist_rep() (1.49 KB, patch)
2006-06-26 05:21 EDT, Jose Plans
no flags Details | Diff

  None (edit)
Description Jose Plans 2006-06-26 05:21:10 EDT
When using netstat and wanting to only get statistics from one interface, none
of the counters get updated and therefore, the output keeps unchanged.

How to reproduce it:
 % netstat --interface=eth0 1
 It will always show the same counters. Always reproducible.

Which packages?: 
 Reproducible with RHEL4U4beta, seems fixed in FC5.

Basically the issue came from having if_readlist_rep() declared static from the
lib/interface and being called from netstat.c. This prevented the output to be
updated from /proc.

Attached you will find the patch that fixes the issue, please let me know if you
need more details about it.
Comment 1 Jose Plans 2006-06-26 05:21:11 EDT
Created attachment 131520 [details]
patch removing static from if_readlist_rep()
Comment 2 RHEL Product and Program Management 2006-08-18 11:20:58 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 Red Hat Bugzilla 2007-05-01 19:52:27 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0241.html

Note You need to log in before you can comment on or make changes to this bug.